<template>
    <div id="app">
        <VideoPlayer :arr_videos="arr_list"
                    :list_text_color = text_color
                    :list_select_color="list_color"
                    :color="color"
                    :width="1080"
        />
        <div class="input-group">
            <div class="input-group-prepend">
                <span class="input-group-text">With textarea</span>
            </div>
            <textarea class="form-control" aria-label="With textarea"></textarea>
        </div>
    </div>
</template>

<script>
import VideoPlayer from './components/VideoPlayer.vue'

export default {
    name: 'app',
    components: {
        VideoPlayer
    },
    data: () => ({
        list_color:'',
        text_color:'',
        arr_list:null,
        color:''
    }),
    mounted(){
        this.arr_list=[
            {id:12,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/vid3.mp4',time:341,from:0},
            {id:2,name:'freafgrewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:3,name:'rt rtewfr eafgrewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:4,name:'frearefgreafgrewg vdsgs rtgrt gtrsg srtg srtg reg reg er gerasvdur yrqegrew deafrea gre gre wfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:5,name:'rsea gers gt grthg ewg rear r reagefreafgrewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:6,name:'rea rseg erg freafgrewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:7,name:'daewrf reg ewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:8,name:'yuyik9o ewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:9,name:'rgeteryhr6 wg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:10,name:'faerwgrtyh ytgrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:11,name:'freafgrewggsre gs rt rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
            {id:13,name:'fare gresgreafgrewg rqegrew deawfw',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/poster_big_Banny.jpg',time:596},
        ];
        // setTimeout(()=>{
        //     //console.log('меняю цвет!!');
        //     this.color="red"
        // },5000);
        //setTimeout(()=>{this.list_color="black"},3000);
        //setTimeout(()=>{this.text_color="black"},3000);
        //setTimeout(()=>{this.arr_list=this.getArr()},3000);
        // setTimeout(()=>{
        //     console.log('должен очистить плей лист');
        //     this.arr_list=[
        //         {id:12,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/vid3.mp4',time:294,from:0},
        //         {id:2,name:'freafgrewg rqegrew deawfw',src:'./assets/vid2.mp4',poster:'./assets/poster_big_Banny.jpg',time:341},
        //     ];
        // },8000);
    },

    methods:{
        getArr(){
            console.log('назначил массив!!!');
            return [
                    {id:1,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/vid1.mp4',time:294,from:0},
                    {id:2,name:'freafgrewg rqegrew deawfw',src:'./assets/vid2.mp4',poster:'./assets/poster_big_Banny.jpg',time:341},
                    {id:4,name:'API',src:'http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4',poster:'./assets/black.jpg',time:596},
                    {id:3,name:'name',src:'./assets/devushka_pokazla_sebya_vsu.mp4',time:3601,from:0},
                    {id:5,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/few.mp4',time:294,from:0},
                    {id:6,name:'freafgrewg rqegrew deawfw',src:'./assets/fstgb.mp4',time:341,from:0},
                    {id:7,name:'fralh eflhrfragrtr twsgrtgrewtg rtgtrethgewhrt rthrewth rtsargjurj tuyjur vfgstrhgreh eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/fraere.mp4',time:294,from:0},
                    {id:8,name:'freafgrewg rqegrew deawfw',src:'./assets/fazsdr.mp4',time:341,from:0},
                    {id:9,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf rew rre oirejgo;eirjga',src:'./assets/fresf.mp4',time:294,from:0},
                    {id:10,name:'freafgrewg rqegrew deawfw',src:'./assets/rewrfg.mp4',time:341,from:0},
                    {id:11,name:'fralh eflhr eafaeiof dwaefdewaf rewfreaf reer rre oirejgo;eirjga',src:'./assets/erg.mp4',time:294,from:0},
                    {id:12,name:'freafgrewg rqegrew deawfw',src:'./assets/rewrewr.mp4',time:341,from:0}
                ];
        }
    }
}
</script>

<style>
</style>
